#include "mgos_barometer_bme280.h"
#include "mgos_i2c.h"

// Datasheet:
// https://cdn-shop.adafruit.com/datasheets/MPL115A2.pdf

bool mgos_barometer_bme280_detect(struct mgos_barometer *dev) {
  if (!dev) return false;
  return false;
}

bool mgos_barometer_bme280_create(struct mgos_barometer *dev) {
  struct mgos_barometer_bme280_data *bme280_data;

  if (!dev) return false;
  return false;
}

bool mgos_barometer_bme280_destroy(struct mgos_barometer *dev) {
  if (!dev) return false;
  if (dev->user_data) {
    free(dev->user_data);
    dev->user_data=NULL;
  }
  return true;
}

bool mgos_barometer_bme280_read(struct mgos_barometer *dev) {
  struct mgos_barometer_bme280_data *bme280_data;

  if (!dev) return false;
  bme280_data=(struct mgos_barometer_bme280_data *) dev->user_data;
  if (!bme280_data) return false;

  return false;
}

